When adding new user and group IDs, observe the following ranges:

Under 2000: Reserved for Chrome OS.
2000-2099:  src/platform/ap-daemons
2100-2199:  src/platform/vox
2200-2299:  src/platform/actions
2300-2399:  src/third_party
2400-2499:  src/platform/ap/wireless
2500-2599:  src/platform/ap/security
2600-2699:  src/platform/ap/net

Legacy IDs were chosen outside these ranges, and will persist as such.
